le son-breezy-amd64

Jeremy Vies jeremy.vies at gmail.com
Mar 24 Jan 09:18:08 UTC 2006


Salut,

Je suis pas un spécialiste alsa et autre bizarreries sonores, mais je peux
t'aider sur tes problèmes de kernel et de compilo.

Je crois que le kernel par défaut est compilé avec gcc 3.4. Il faut compiler
les modules avec le même compilo, donc il te faut l'installer (gcc-3.4). Il
te faudra aussi les headers de ton kernel, probablement linux-headers-2.6.12,
ou un truc du genre...

Et ça fait bien parti des problèmes de compilo souvent référencés dans les
forums / ML...
Ubuntu a fait le choix de passer à gcc 4.0.2 avant que le noyau ne soit
compatible avec gcc 4. Ils ont donc compilé (presque) toutes les applis avec
gcc 4, mais le noyau avec gcc 3.4.

JV

Le 24/01/06, Isabella <bapoumba at gmail.com> a écrit :
>
>
>
> 2006/1/24, Cyrille Mortreux <cyrille.mortreux at free.fr>:
> >
> > On Mon, 23 Jan 2006 22:36:01 +0100
> > michel memeteau <michel.memeteau at gmail.com> wrote:
> >
> > > Le Lundi 23 Janvier 2006 18:17, Isabella a écrit:
> > >
> > > > J'ai googolisé sur les erreurs, apparamment alsa ne fonctionne pas
> > > > sur la version 64-bits,
> > > TU me confirmes ça ? mais qu'y a t il de spécial dans alsa pour que
> > > ça ne fonctionne pas ? ça expliquerait peut etre mes pbs vu que je
> > > voulais alsa
> >
> > Auquel cas, il suffit facilement de récupérer les source alsa et de le
> > compiler pour ton architecture, via l'outil module-assistant
> >
> > module-assistant - tool to make module package creation easier
> >
> >
> > Il te permettra de télécharger, compiler et installer un module alsa
> > les doigts dans le nez (si tu causes anglais...)
>
>
> Bonjour,
>
> Je cause anglais, ça va :-p.
>
> j'ai suivi ce tuto :  http://www.planetamd64.com/index.php?showtopic=11465
> C'est un sujet vers le milieu : le son dans ubuntu
>
> Je bloque au point 8 :
> sudo debian/rules binary_modules KSRC=/usr/src/linux-headers-$(uname -r)/
> KVERS=$(uname -r)
> You don't have the compiler that your kernel was built with installed
> make: *** [configure-stamp] Erreur 1
>
> s'agit-il des probs de versions de gcc comme j'ai pu le voir passer sur le
> forum à de nombreuses reprises ou alors d'un autre compilateur ? (là j'avoue
> atteindre ma limite, je ne suis point née dans cette marmite).
>
>
>
> sudao adduser isabelle audio
> >
> > ça donnerait quoi ?
>
>
> ceci :  L'utilisateur « isabella » est déjà membre du groupe audio.
>
> merci,
> Isabella
>
>
> --
> ubuntu-fr mailing list
> ubuntu-fr at lists.ubuntu.com
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-fr
>
>
-------------- section suivante --------------
Une pièce jointe HTML a été nettoyée...
URL: <https://lists.ubuntu.com/archives/ubuntu-fr/attachments/20060124/7fe0773c/attachment.html>


Plus d'informations sur la liste de diffusion ubuntu-fr